// MicrosoftEdge script version 1.0

using LoginPI.Engine.ScriptBase;

public class MicrosoftEdge83 : ScriptBase
{

    private void Execute()
    {
        // Define environment variable to use with Workload
        var temp = GetEnvironmentVariable("TEMP");
              
        // Download the VSIwebsite.zip from the appliance and unzip in the %temp% folder
        if(!(DirectoryExists($"{temp}\\LoginPI\\vsiwebsite")))
        {
            Log("Downloading File");
            CopyFile(KnownFiles.WebSite, $"{temp}\\LoginPI\\vsiwebsite.zip");
            UnzipFile($"{temp}\\LoginPI\\vsiwebsite.zip", $"{temp}\\LoginPI\\vsiwebsite");
        }
        else
        {
            Log("File already exists");
        }
        
        // Start Browser
        StartBrowser();

        // Navigate to the local html file
        Navigate($"file:///{temp}/LoginPI/vsiwebsite/chromescript/logonpage.html");
        MainWindow.Maximize();
        Wait(2);

        // Click on the login button
        Browser.FindWebComponentBySelector("button[id='logonbutton']").Click();
        Wait(1);

        // Enter login credentials
        Browser.FindWebComponentBySelector("input[id='username']").Click();
        Type("Admin");
        Browser.FindWebComponentBySelector("input[id='password']").Click();
        Type("Admin");
        Browser.FindWebComponentBySelector("button[id='submit']").Click();

        // Time the logon
        StartTimer("Logon");
        Browser.FindWebComponentBySelector("a[id='videopage']");
        StopTimer("Logon");
        Wait(2);

        // Select the videopage tab
        Browser.FindWebComponentBySelector("a[id='videopage']").Click();

        // Watch video for 30 seconds
        Wait(30);

        // Navigate back to main homepage and Click on Article
        MainWindow.FindControl(className : "Button:ToolbarButton", title : "Back").Click();
        Wait(2);
        Browser.FindWebComponentBySelector("a[id='articlepage']").Click();
        Wait(2);

        // Scroll through webpage
        MainWindow.MoveMouseToCenter();
        MouseDown();
        MouseUp();
        MainWindow.Type("{PAGEDOWN}".Repeat(2));
        MainWindow.Type("{PAGEUP}".Repeat(2));

        // Stop the browser
        Wait(2);
        StopBrowser();

    }
}